Installing and upgrading help

Can"t login afther updat 3.5.2+ 10-11-2018

 
Picture of Ken Task
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

Screen shot shows from an android using Chrome?

Have you check server error logs for clues?  Might help to share some info about your server?  Linux/Windows, hosting, etc.

What happens if you use Chrome from a laptop/workstation?   What happens when you use another browser from a laptop/workstation ... like FireFox?

If it happens with Chrome from a laptop/workstation, then turn on debugging via the lines in config-dist.php (section 7) pasted into your active config.php file.

Once those lines are in place, try your workstation with Chrome and then also with Chrome from your android.

'spirit of sharing', Ken


 
Average of ratings: -
Picture of Remigijus Q
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Same problem. After upgrade from 3.5.2 to 3.5.2+ users can't login. Logs shows only php notice "Invalid Login Token: username"

Situation is solved via setting $CFG->disablelogintoken = true; but I'm not sure is this the right way.....


[Sat Nov 10 18:48:31.023407 2018] [php7:notice] [pid 13118] [client 192.168.50.254:47490] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:48:41.607562 2018] [php7:notice] [pid 13118] [client 192.168.50.254:47516] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:48:55.334276 2018] [php7:notice] [pid 3764] [client 192.168.50.254:47576] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Wind

ows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:49:21.427521 2018] [php7:notice] [pid 13429] [client 192.168.50.254:47642] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Win

dows NT 10.0; Win64; x64) AppleWebKit/537.36 (KHTML, like Gecko) Chrome/70.0.3538.77 Safari/537.36, referer: https://gabijos.vma.lm.lt/login/index.php

[Sat Nov 10 18:49:23.112903 2018] [php7:notice] [pid 8505] [client 192.168.50.254:47652] [client 78.63.93.52]  https://gabijos.vma.lm.lt  Invalid Login Token:  jtamulevicius  Mozilla/5.0 (Wind


 
Average of ratings: -
Bas van Kollenburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

YES thanks solved by this line

 $CFG->disablelogintoken = true;

Thanks

Bas

 
Average of ratings: -
Picture of Luigi Ferrari
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

I have the same problem, updated Moodle from latest 3.5.2+ version to 3.5.3 and no login possible.
If a new password is required from administrator then every user can login newly.

Adding the line to the config.php file worked fine (I hope), but users complained that no useful indication was given. Furthermore, the majority of them are linked to the LDAP method, which has increased the confusion.

A bad figure that I would have avoided.
 
Average of ratings: -
Picture of Sera Zoli
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Thanks! This saved my day, after over an hour banging my head to the wall.
I got the latest version of the Moove theme active and updated Moodle to 2.5.3.

 
Average of ratings: -
Picture of Gytis Cibulskis
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Can someone from MOODLE developers explain what exactly this setting $CFG->disablelogintoken = true  does? Could it have any other impact to Moodle functionality, webservices, security? 

We have multiple Moodle instances where this problem occurred after recent update and need to be sure that disabling this login token will have no negative consequences in the future. 

 
Average of ratings: Useful (1)
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers
I have the same problem, updated Moodle from latest 3.5.2+ version to 3.5.3 and no login possible.
Cleared caches and that didn't help too. Same error:  "Invalid Login Token: [my username]"
 
Average of ratings: -
Bas van Kollenburg
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Add line to your config.sys 

 
Average of ratings: -
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

I just did, but is that a workaround? What changed in the new version that it's not possible to login anymore?

Update:  I changed my theme to an older theme and then it worked again without the workaround.
This might be a problem in the login page?

 
Average of ratings: -
Picture of Gytis Cibulskis
Re: Can"t login afther updat 3.5.2+ 10-11-2018
 

Yes, apparently it's a problem of Fordson theme we use.  

Do you also use Fordson?

 
Average of ratings: -
Picture of Alain Raap
Re: Can"t login afther updat 3.5.2+ 10-11-2018
Particularly helpful Moodlers

No, we are developing a new theme, that new version caused the problem with the upgrade

 
Average of ratings: -